conversations
listlengths
2
3
source
stringclasses
1 value
stack
stringclasses
1 value
[ { "from": "system", "value": "Remove instructions for code in command line\n\nIt seems that the \"code\" command is made available in the command line\nupon the installation of VSCode, so there's no need for instructions on\nhow to make it available.\n" }, { "from": "human", "value": "#!/bin/sh\...
shell
chosen
[ { "from": "system", "value": "Disable periodic activities of apt\n\nTo avoid blocking of dpkg\nhttps://github.com/chef/bento/issues/609#issuecomment-227202607\n" }, { "from": "human", "value": "#!/bin/sh -eux\n\nubuntu_version=\"`lsb_release -r | awk '{print $2}'`\";\nubuntu_major_version=\"`ech...
shell
chosen
[ { "from": "system", "value": "Add alias to fix duplicated Open with items\n" }, { "from": "human", "value": "alias dash=\"open dash://$1\"\nalias gst='git status'\nalias gup=\"git pull --rebase\"\nalias gp=\"git push\"\nalias gap=\"git add -p\"\nalias duet='git duet --global'\nalias solo='git so...
shell
chosen
[ { "from": "system", "value": "Remove bindata check from test-all script\n" }, { "from": "human", "value": "#!/bin/bash\n#\n# Integartion testing with dockerized Postgres servers\n#\n# Boot2Docker is deprecated and no longer supported.\n# Requires Docker for Mac to run on OSX.\n# Install: https:/...
shell
chosen
[ { "from": "system", "value": "ENH: Update double-conversion import script to get latest version\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\nset -e\nset -x\nshopt -s dotglob\n\nreadonly name=\"DoubleConversion\"\nreadonly ownership=\"Google double-conversion Maintainers <floitsch@go...
shell
chosen
[ { "from": "system", "value": "Use govc find instead of ls to assign licenses\n\nWith ls of cluster1, the script didn't work on systems with a standalone host.\n" }, { "from": "human", "value": "#!/bin/bash -e\n\n# Copyright 2017 VMware, Inc. All Rights Reserved.\n#\n# Licensed under the Apache L...
shell
chosen
[ { "from": "system", "value": "Use system-wide Fabric, but run using virtualenv's python binary.\n" }, { "from": "human", "value": "alias pyweb='python -m SimpleHTTPServer'\nalias mrs='./manage.py runserver'\nalias ms='./manage.py shell'\nalias ipython='python /usr/bin/ipython'\n\nvalidatejson() ...
shell
chosen
[ { "from": "system", "value": "Make this work with sourcekitten-0.31\n" }, { "from": "human", "value": "#!/bin/sh\n#\n# Wrapper around `swift build' that uses pkg-config in config.sh\n# to determine compiler and linker flags\n#\n. ./config.sh\n[ -e Sources/${Mod}/${Module}.swift ] || ./generate-w...
shell
chosen
[ { "from": "system", "value": "Add command line argument parsing for node name\n" }, { "from": "human", "value": "#!/bin/bash\n\nsource .env\n\n# stop machines irrespective of currently running or not, irrespective of node exists or not\n# since the error messages are redirected to /dev/null\n\ne...
shell
chosen
[ { "from": "system", "value": "Add a message about where we are writing RNG to.\n" }, { "from": "human", "value": "#!/bin/sh\n\nwhich trang 2>&1 >/dev/null\nif [ $? != 0 ]; then\n echo \"trang binary not found\"\n echo \"Install trang (http://www.thaiopensource.com/relaxng/trang.html) or ma...
shell
chosen
[ { "from": "system", "value": "Append newly introduced install-pcf/vSphere params\n\n[#152910372]\n" }, { "from": "human", "value": "#!/bin/bash -e\n\nfunction main() {\n local file_to_migrate=${1}\n\n if [[ ! -f \"${file_to_migrate}\" ]]; then\n echo \"Usage: ${0} <path-to-vsphere-param.yml...
shell
chosen
[ { "from": "system", "value": "Convert spec_help to printf and make colors portable\n" }, { "from": "human", "value": "TEST_MODE=\"true\"\n\nspec_failed=0\n\nItReturns () {\n cmd=\"$1\"\n expected_return=\"$2\"\n\n eval \"$cmd\"\n actual_return=\"$?\"\n\n echo -n \"\\`$cmd\\` returns $expect...
shell
chosen
[ { "from": "system", "value": "Fix temp path to root\n" }, { "from": "human", "value": "#!/bin/bash\n\nBASE_URL=\"http://vamp.$DEMO_DOMAIN_NAME:8080\"\nDEPLOYMENT_FILE=\"\"\n\nfunction show_usage(){\n echo \"create-items\"\n echo\n echo -e \"\\t--base-url\\t(Optional) Specify the base va...
shell
chosen
[ { "from": "system", "value": "fix: Test travis build, docs generation and semantic release\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\nset -e\n\nPACKAGE_VERSION=$(node -p -e \"require('./package.json').version\")\n\necho \"Generate documentation for v$PACKAGE_VERSION\"\n\ngit confi...
shell
chosen
[ { "from": "system", "value": "Change log folder for mongo - sh script" }, { "from": "human", "value": "#!/bin/sh\n#*******************************************************************************\n# (C) Copyright 2016 Jerome Comte and Dorian Cransac\n# \n# This file is part of STEP\n# \n# STEP ...
shell
chosen
[ { "from": "system", "value": "Check OCLint: Fix syntax error\n" }, { "from": "human", "value": "@INCLUDE_COMMON@\n\necho\necho CHECK SOURCE WITH OCLINT\necho\n\ncommand -v oclint > /dev/null 2>&1 || {\n\techo \"Could not locate OCLint\" >&2\n\texit 0\n}\n\ntest -f \"@PROJECT_BINARY_DIR@/compile_...
shell
chosen
[ { "from": "system", "value": "Add a yum clean all before running tests\n" }, { "from": "human", "value": "#!/bin/sh\n\nOS_VERSION=$1\n\nls -l /home\n\n# First, install all the needed packages.\nrpm -Uvh https://dl.fedoraproject.org/pub/epel/epel-release-latest-${OS_VERSION}.noarch.rpm\nyum -y in...
shell
chosen
[ { "from": "system", "value": "Use bash to execute update script.\n" }, { "from": "human", "value": "#!/bin/bash\n\necho powersave >/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor\n\n# Check if we need to run an update.\nif [ -e /root/update*stratux*v*.sh ] ; then\n\tUPDATE_SCRIPT=`ls -1t /...
shell
chosen
[ { "from": "system", "value": "Update the translation update cron job\n\nmake it use the new translations update script.\n" }, { "from": "human", "value": "#!/bin/bash\nset -e\n\nROOT='/var/www-dev'\n\"$ROOT\"\"/docs/update-translations.py\" -o $ROOT >/dev/null" }, { "from": "gpt", "v...
shell
chosen
[ { "from": "system", "value": "Fix JDK 8 RPM URL in bootstrap script\n" }, { "from": "human", "value": "#!/bin/sh\n#\n# (c) Copyright 2016 Cloudera, Inc.\n#\n# Licensed under the Apache License, Version 2.0 (the \"License\");\n# you may not use this file except in compliance with the License.\n# ...
shell
chosen
[ { "from": "system", "value": "Fix punctuation in release script\n" }, { "from": "human", "value": "#!/bin/bash\n\nVERSION=$1\n\nPARSL_VERSION=$(python3 -c \"import parsl; print(parsl.__version__)\")\n\nif [[ $PARSL_VERSION == $VERSION ]]\nthen\n echo \"Version requested matches package versio...
shell
chosen
[ { "from": "system", "value": "Set the JAVA_HOME variable so that Inline::Java will install.\n\n\n" }, { "from": "human", "value": "#!/bin/bash\n\nset -u\nset -o errexit\n\nworking_dir=`dirname $0`\n\ncd $working_dir\n\nif pwd | grep ' ' ; then\n echo \"Media Cloud cannot be installed in a fi...
shell
chosen
[ { "from": "system", "value": "Update Jenkins URL to use hostname instead of IP\n" }, { "from": "human", "value": "# All strings contained within scripts should\n# be externalized into this file\n\n# Our Jenkins server\nLOCAL_JENKINS=http://172.31.73.16:8080/jenkins\n\n#CURL_ARGS='--socks5 localh...
shell
chosen
[ { "from": "system", "value": "Fix ambiguity if branches start with same name\n" }, { "from": "human", "value": "#!/bin/bash\n\njirac_get_git_project_root_directory() {\n \tif [ -d .git ]; then\n\t\techo $(git rev-parse --show-toplevel)\n \tfi\n}\n\njirac_get_git_current_remote_branch() {\n...
shell
chosen
[ { "from": "system", "value": "Linux-setup: Rename wallpaper and create directory" }, { "from": "human", "value": "#!/bin/sh\n\nsudo apt-get -y install xubuntu-community-wallpapers\n\nmkdir ~/Pictures/Wallpapers/\ncp /usr/share/xfce4/backdrops/Mountainous_View_by_Sven_Scheuermier.jpg ~/Pictures/W...
shell
chosen
[ { "from": "system", "value": "Add explanation of sed expression for finding hostname." }, { "from": "human", "value": "#!/bin/sh\n\nHOSTNAME=\"`sed -ne 's/^[^:]*:[^:]*:[^:]*:[^:]*:\\([^:]*\\):.*/\\1/p' /proc/cmdline`\"\n\nif [ -z \"$HOSTNAME\" ]\nthen\n HOSTNAME=\"rascal\"\nfi \n \necho \...
shell
chosen
[ { "from": "system", "value": "scripts: Use go test ./... to run all sub-packages tests\n\nSigned-off-by: Damien Lespiau <64bd3cb94f359c1a3ce68dae5e26b40578526277@intel.com>\n" }, { "from": "human", "value": "#!/bin/sh -e\n\nscript_dir=$(cd `dirname $0`; pwd)\nroot_dir=`dirname $script_dir`\n\n$s...
shell
chosen
[ { "from": "system", "value": "Add lincensor as global node module\n" }, { "from": "human", "value": "# Load nave- and npm-related functions.\nsource $DOTFILES/source/50_node.sh\n\n# Global npm modules to install.\nnpm_globals=(\n bower\n forever\n grunt-cli\n grunt-init\n hexo-cli\n karma-...
shell
chosen
[ { "from": "system", "value": "Use ostree scripts from the repo\n\nSigned-off-by: Laurent Bonnans <0909bc0a3d1b0c91d8e00372b9633e8e9ea958de@here.com>\n" }, { "from": "human", "value": "#! /bin/bash\nset -euo pipefail\n\nif [ \"$#\" -ne 2 ]; then\n echo \"Usage: ./make_ostree_sysroot.sh <project ...
shell
chosen
[ { "from": "system", "value": "Fix so that Vundle is cloned correctly\n" }, { "from": "human", "value": "#!/usr/bin/env bash\nusage() { echo \"Usage: $0 [-o force overwrite]\" 1>&2; exit 1; }\n\nsetup_vim() {\n destination=~/.vim/bundle/Vundle.vim\n if [ ! -d \"$destination\" ] ; then\n ...
shell
chosen
[ { "from": "system", "value": "Use --reload so we can avoid some restarts\n" }, { "from": "human", "value": "#!/bin/bash\n./setup-sandbox.bash\n\n# Start RabbitMQ\n# sudo rabbitmq-server & # already started for us\nrabbitmqctl add_user testuser testpw\nrabbitmqctl add_vhost testvhost\nrabbitmqctl...
shell
chosen
[ { "from": "system", "value": "Remove hidden files without error.\n" }, { "from": "human", "value": "#!/bin/sh\n\nif [[ $# -eq 0 ]] ; then\n echo 'Usage: tidyup <dir1> <dir2> ... <dirN>'\n echo 'Tidies ~/<dirN> to ~/Backups/<dirN>'\n exit 0\nfi\n\ntoday=\"$(date +'%d%m%y')\"\nbackupdir=~/Backu...
shell
chosen
[ { "from": "system", "value": "Fix typo in `bgi` alias declaration.\n" }, { "from": "human", "value": "###############################################################################\n# Ruby\n###############################################################################\n\n######################...
shell
chosen
[ { "from": "system", "value": "Fix LOG_DIR when the var is not passed down\n\n[#134349577]\n\nSigned-off-by: Ben Chapman <4ada7eac694dcb4b5475ac51d142ba919b54bb00@pivotal.io>\n" }, { "from": "human", "value": "#!/bin/bash -e\n\nSHUTDOWN_LOG=\"${LOG_DIR}/shutdown_stdout.log\"\n\nPID_FILE=\"${1:?Fi...
shell
chosen
[ { "from": "system", "value": "Make OSX configuration work for users who aren't named 'pivotal'\n" }, { "from": "human", "value": "echo\necho 'Customizing OS X configuration'\n\n# set menu clock\n# see http://www.unicode.org/reports/tr35/tr35-31/tr35-dates.html#Date_Format_Patterns\ndefaults writ...
shell
chosen
[ { "from": "system", "value": "Add Novabench to mas packages.\n" }, { "from": "human", "value": "#!/usr/bin/env zsh\n\napps=(\n 937984704 # Amphetamine\n 499233976 # Cathode\n 411643860 # DaisyDisk\n 847496013 # Deckset\n 408981434 # iMovie\n 409183694 # Keynote\n 634159523 # MainStage 3\n...
shell
chosen
[ { "from": "system", "value": "Use PREFIX instead of CONDA_PREFIX\n\nCo-authored-by: Isuru Fernando <47df6cafd3b4bed4c7bba9d00d0cf0fc680a9921@gmail.com>" }, { "from": "human", "value": "#!/bin/bash\n\nset -euo pipefail\n\ncd ${SRC_DIR}\nIPOPT_DIR=${CONDA_PREFIX} ${PYTHON} -m pip install . -vv\n" ...
shell
chosen
[ { "from": "system", "value": "Update gnu-binutils to compile GDB as well\n" }, { "from": "human", "value": "GIT=https://gitlab.redox-os.org/redox-os/binutils-gdb.git\nBRANCH=redox\nGIT_UPSTREAM=git://sourceware.org/git/binutils-gdb.git\nBUILD_DEPENDS=(relibc)\n\nfunction recipe_version {\n pr...
shell
chosen
[ { "from": "system", "value": "Fix relative path in publish script.\n\nOverlooked when the script moved.\n\nTesting Done:\nPublish failed before, succeeded after.\n\nReviewed at https://rbcommons.com/s/twitter/r/3789/\n" }, { "from": "human", "value": "#!/bin/bash\n\nset -eo pipefail\n\n# Usage:\...
shell
chosen
[ { "from": "system", "value": "Create the 'certs' directory before copying keys and certs.\n\nSigned-off-by: Cyril GY <a89ed19b7b2d1d5f6e0e1f2caa9b6fc376d7c66b@gmail.com>\n" }, { "from": "human", "value": "#!/bin/bash\n\nif [ \"$#\" -ne 2 ]; then\n echo \"*** Error: illegal number of parameter...
shell
chosen
[ { "from": "system", "value": "Add context to the diff for great usefulness.\n\nSigned-off-by: Joshua Aresty <18e47c05d12d69c65baf02b69e877c81d203331d@emc.com>\n" }, { "from": "human", "value": "#!/bin/bash\n\npushd $(dirname $0) > /dev/null\ndiff -wB fixture/expected-vars-store.yml <(spiff merge...
shell
chosen
[ { "from": "system", "value": "Tweak build script for different find\n" }, { "from": "human", "value": "#!/bin/bash\n#\n# Fetches the given version of Fine Uploader and builds it into dist/.\n#\n\nREMOTE=https://github.com/Widen/fine-uploader.git\nSRC=vendor/fine-uploader\nTARGET=drf_to_s3/integr...
shell
chosen
[ { "from": "system", "value": "Make upstart service more robust.\n\nConnection errors could bring down the collect script (or it seemed so).\nIf it's not running, then have upstart bring it up.\n" }, { "from": "human", "value": "#!/bin/bash\n\npid_collect=\n\ncleanup() {\n kill $!\n exit 0\n}\n...
shell
chosen
[ { "from": "system", "value": "Change order of theme setup\n" }, { "from": "human", "value": "#!/bin/sh\n\nsource \"${BASH_SOURCE%/*}/functions.lib\"\n\nprint_start cask iterm2\ninstall cask iterm2\n\nprint_start zsh\ninstall zsh\n\necho \"Installing oh-my-zsh\"\nsh -c \"$(curl -fsSL https://raw....
shell
chosen
[ { "from": "system", "value": "Update build-system to work cross-platform\n" }, { "from": "human", "value": "#!/bin/bash\n\nset -e\nset -u\n\nmkdir -p fuzzylite/fuzzylite/release\ncd fuzzylite/fuzzylite/release\n\n# We use g++-4.8 as >4.8 requires >= GLIBCXX 3.4.20, but only 3.4.19 is\n# availabl...
shell
chosen
[ { "from": "system", "value": "Add scripts folder and script entry for circle ci.\n" }, { "from": "human", "value": "#!/bin/bash\n\nset -ex\n\nwget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add -\nsh -c 'echo \"deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ ...
shell
chosen
[ { "from": "system", "value": "Load CSS stylesheets from a Wikimedia production environment\n\nAs of I177b3a355dcd2488da9af668273f7e65b6afa86b, certain Wikipedia-\nspecific style hacks are only applied in Wikimedia production\nenvironments (via the config variable $wgMinervaApplyKnownTemplateHacks).\nSee T94...
shell
chosen
[ { "from": "system", "value": "Update intall script for Ruby\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n#\n# Setup rebenv and install some nice gems globally\n\nGEMS=(\n \"bundler\"\n \"jekyll\"\n \"tmuxinator\"\n)\n\nif test ! $(which rbenv)\nthen\n echo \" Installing rbenv for...
shell
chosen
[ { "from": "system", "value": "Include OpenGIS in tests again\n" }, { "from": "human", "value": "# Run this from within ~pab/pyxb/pre-release\n\nRELEASE=${1:-0.5.2}\nPYXBREL=PyXB-${RELEASE}\nTARFILE=${PYXBREL}.tar.gz\n\nexport LANG=en_US.UTF-8\n\nfor pv in 2.4.6 2.5.4 2.6.2 ; do\n (\n pt=python...
shell
chosen
[ { "from": "system", "value": "Increase waiting time for run SDL to 10 seconds\n" }, { "from": "human", "value": "#!/bin/bash\ndirSDL=$1\ndirATF=$(pwd)\nappName=$2\ncd $dirSDL\nLD_LIBRARY_PATH=$LD_LIBRARY_PATH:. export LD_LIBRARY_PATH\n./$appName > /dev/null &\nsdl_pid=$!\necho \"SDL pid \"$sdl_p...
shell
chosen
[ { "from": "system", "value": "Add command for Gradle to install dependencies\n" }, { "from": "human", "value": "#!/bin/bash\n\n# Fix the CircleCI path\nexport PATH=\"$ANDROID_HOME/platform-tools:$ANDROID_HOME/tools:$PATH\"\n\nDEPS=\"$ANDROID_HOME/installed-dependencies\"\n\nif [ ! -e $DEPS ]; th...
shell
chosen
[ { "from": "system", "value": "Add shebang for an exectuable file\n" }, { "from": "human", "value": "[[ -s \"/etc/default/evm\" ]] && source \"/etc/default/evm\"\n\n# Aliases:\nalias ap='appliance_console'\nalias apcli='appliance_console_cli'\nalias vmdb='cd /var/www/miq/vmdb'\nalias appliance='[...
shell
chosen
[ { "from": "system", "value": "Add perl one liner to print out lines in a file that have non-ascii characters\n" }, { "from": "human", "value": "function freq\n{\n cat ~/.*h_h*|cut -d\" \" -f1|ruby -e'h=Hash.new 0;h[$_]+=1 while gets;h.each{|k,v|puts\"#{v} \"+k}'|sort -rn|head\n}\n\n\n" }, {...
shell
chosen
[ { "from": "system", "value": "Use /etc/os-release for detecting operating system\n" }, { "from": "human", "value": "#!/bin/bash\nset -e\ncd /tmp/\nif [ \"$EUID\" != \"0\" ]; then\n\techo \"This script must be run as root.\" 1>&2;\n\texit 1;\nfi\n\nif (which dpkg-query >/dev/null && ! dpkg-query ...
shell
chosen
[ { "from": "system", "value": "Check status after each command and exit on failure" }, { "from": "human", "value": "VERSION=$1\n\n# Build the app within Maze Runner, checking for the source map upload\nmkdir -p build\npushd test/react-native-cli\nbundle install\nREACT_NATIVE_VERSION=$VERSION bund...
shell
chosen
[ { "from": "system", "value": "Make sure we move all files/folders\n" }, { "from": "human", "value": "cd docs\nyarn -v\nnode -v\necho 'Installing Gitbook CLI'\nyarn global add gitbook-cli\n\necho 'Running Gitbook installation'\n\n# Generate all version's GitBook output\nfor D in *; do\n if [ -...
shell
chosen
[ { "from": "system", "value": "Update config settings for editor and excludesfile\n" }, { "from": "human", "value": "#! /bin/sh\n\nln -s $DOTS/bootstrap_gitconfig.sh .bootstrap_gitconfig.sh\n# aliases managed by git .aliases file and zsh git plugin\n\ngit config --global user.name $USER_FULL_NAME...
shell
chosen
[ { "from": "system", "value": "Create include directory in build all script as well\n" }, { "from": "human", "value": "#!/bin/bash\n\nARCHITECTURES=( armhf i386 amd64 )\n\n# Build for all architectures\n\nfor ARCH in ${ARCHITECTURES[@]}; do\n ./build-toxcore-in-chroot.sh $ARCH\ndone\n\n# Create ...
shell
chosen
[ { "from": "system", "value": "Build script will now copy the apple scripts to the bin dir.\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\n# stop immediately if any process returns non-zero exit code\nset -e\n\n# sanity check:\n# this script deletes files left and right\n# make sure th...
shell
chosen
[ { "from": "system", "value": "Set environment so the scripth works in cron\n" }, { "from": "human", "value": "#!/bin/bash\n\n/usr/bin/python3 /usr/local/bin/himawari.py -o /tmp/himawariBG.png\n/usr/bin/feh --bg-max /tmp/himawariBG.png\n/bin/chmod 666 /tmp/himawariBG.png\nexit 0\n" }, { "...
shell
chosen
[ { "from": "system", "value": "Simplify installation of native libraries\n" }, { "from": "human", "value": "#!/bin/bash\n\n#This installation is the same for EV3 Brick & BrickPi/PiStorms\n\nif [ \"$PLATFORM\" == \"ev3\" ] ||\n [ \"$PLATFORM\" == \"brickpi\" ] ||\n [ \"$PLATFORM\" == \"b...
shell
chosen
[ { "from": "system", "value": "Install PHP 5.6 w. opcache, mbstring, xml, intl\n" }, { "from": "human", "value": "#!/bin/bash\n\nAPPENV=$1\n\necho -e \"\\n--- Provisioning LinuxBuddy development machine. ---\\n\"\n\ncd ~\n\necho -e \"\\n--- Installing Vim ---\\n\"\nsudo yum install vim -y\n\necho...
shell
chosen
[ { "from": "system", "value": "Update build script to use -trimpath\n" }, { "from": "human", "value": "#!/bin/sh\nCGO_ENABLED=0 GOOS=linux go build -ldflags \"-s\" -a\n" }, { "from": "gpt", "value": "#!/bin/sh\n\n# Build\nCGO_ENABLED=0 GOOS=linux go build -v -trimpath -ldflags \"-s\" ...
shell
chosen
[ { "from": "system", "value": "Fix bugs in pip completion function\n" }, { "from": "human", "value": "#!/bin/bash\n# completions.sh\n# Caleb Evans\n\n# cur = current\n\n# Completion function for pip, Python's package manager\n_pip() {\n\n cur=${COMP_WORDS[COMP_CWORD]}\n prev=${COMP_WORDS[CO...
shell
chosen
[ { "from": "system", "value": "Remove ZSTD from set of required targets\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\nset -ex\n\n# We need to put in place all relevant headers before running clang-tidy.\nmkdir ../build\ncd ../build\ncmake -DCMAKE_EXPORT_COMPILE_COMMANDS=ON -Dall=On -D...
shell
chosen
[ { "from": "system", "value": "Update 0.1 -> 0.4 and change links\n" }, { "from": "human", "value": "#!/bin/bash\nfor i in $(seq 0 $(jq 'length - 1' users.json)); do\n jq -r --arg i $i '.[$i | tonumber].email' users.json\n jq --arg i $i -f form.jq users.json | \\\n curl -s -d @- -H \"X-API-T...
shell
chosen
[ { "from": "system", "value": "Add export for running tests\n" }, { "from": "human", "value": "#!/bin/bash\n\n./src/prepare_galaxy.sh run_test\n\necho \"TO DO : Launch tests on toy dataset\"\n\n" }, { "from": "gpt", "value": "#!/bin/bash\nexport GALAXY_TEST_UPLOAD_ASYNC=false\nexport ...
shell
chosen
[ { "from": "system", "value": "Create empty initial file for zsh z plugin to suppress an error message\n" }, { "from": "human", "value": "#!/bin/sh\n\nset -ex\n\n#\n# LXD images recipe: Basic CLI\n#\n# Dependencies: none\n#\n# Environment variables:\n#\n# - TIMEZONE: timezone, e.g. 'Europe/Berlin...
shell
chosen
[ { "from": "system", "value": "Add iterm2 to MacOS apps\n" }, { "from": "human", "value": "set -e\n\nappdir=\"/Applications\"\napps=(\n alfred\n android-file-transfer\n atom\n appcleaner\n caffeine\n evernote\n firefox\n google-chrome\n google-web-designer\n intellij-idea\n mactex\n s...
shell
chosen
[ { "from": "system", "value": "Add db alias for starting a project's database with docker-compose\n" }, { "from": "human", "value": "alias d='docker'\nalias dc='docker-compose'\nalias drm='docker-rm'\nalias dcl='docker-clean'\nalias dcd='docker-compose down'\n" }, { "from": "gpt", "va...
shell
chosen
[ { "from": "system", "value": "Update ldap and jabber certs\n" }, { "from": "human", "value": "#!/bin/sh\n\n/usr/local/bin/cbsd jstart letsencrypt\n/usr/local/bin/cbsd jexec jname=letsencrypt /usr/local/bin/letsencrypt_update.sh\n/usr/local/bin/cbsd jstop letsencrypt\n/usr/local/bin/cbsd jexec jn...
shell
chosen
[ { "from": "system", "value": "Add warning message to inform testing will occupy more than 500MB space\n" }, { "from": "human", "value": "#!/bin/sh\nfile_size=\"1 500 1024 512000\"\n\n# base data\nfor i in $file_size \ndo\n echo Generating $i to test_data/${i}K_file.dat\n dd if=/dev/urandom...
shell
chosen
[ { "from": "system", "value": "Install Git, as found in most official and unofficial Docker stacks.\n" }, { "from": "human", "value": "#!/bin/bash\nset -e\napt-get update -y\napt-get install -y curl bzip2 build-essential python" }, { "from": "gpt", "value": "#!/bin/bash\nset -e\napt-g...
shell
chosen
[ { "from": "system", "value": "Handle case where npm cache doesn't exist in ci.\n\nReviewers: kylec\n\nReviewed By: kylec\n\nSubscribers: changesbot\n\nDifferential Revision: https://tails.corp.dropbox.com/D152869\n" }, { "from": "human", "value": "#!/bin/bash -ex\nsudo apt-get install -y build-e...
shell
chosen
[ { "from": "system", "value": "Add bundle install to the script.\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\nsource ~/.rvm/scripts/rvm\nrvm use default\nbundle exec pod trunk push\n" }, { "from": "gpt", "value": "#!/usr/bin/env bash\n\nsource ~/.rvm/scripts/rvm\nrvm use ...
shell
chosen
[ { "from": "system", "value": "Update paths to resin log files.\n" }, { "from": "human", "value": "#!/bin/bash\n# cleans up logs\n\ncp /dev/null /home/freeciv/freeciv-web/resin/log/jvm-app-0.log\ncp /dev/null /home/freeciv/freeciv-web/resin/log/access.log\nfind /home/freeciv/freeciv-web/freeciv-w...
shell
chosen
[ { "from": "system", "value": "Update RBENV version to match .ruby-version\n" }, { "from": "human", "value": "#!/bin/sh\n\ndie() {\n echo >&2 \"$@\"\n echo \"\\nUsage: ./govuk-rails-app-template/bin/install.sh app-name (api|frontend|admin|publishing)\"\n exit 1\n}\n\n[ \"$#\" -eq 2 ] || die \"...
shell
chosen
[ { "from": "system", "value": "Send all push output to /dev/null\n" }, { "from": "human", "value": "set -e\n\n# Build\nnikola build\n\n# Setup git for pushing from Travis\n## Setup user details, so commits etc work.\ngit config user.email $GIT_EMAIL\ngit config user.name $GIT_NAME\n## Change the ...
shell
chosen
[ { "from": "system", "value": "Increase again parallelism for integration tests\n" }, { "from": "human", "value": "#!/usr/bin/env bash\nset -ev\n\ncd tests/integration\nsudo npm install -g @bitwarden/cli\nbundle install --jobs=3 --retry=3\n# bundle exec ruby -e 'Dir.glob(\"tests/*.rb\") { |f| loa...
shell
chosen
[ { "from": "system", "value": "Set default editor to Sublime Text if installed\n" }, { "from": "human", "value": "# Make nano the default editor\nexport EDITOR=\"nano\"\n\n# Larger bash history (allow 32³ entries; default is 500)\nexport HISTSIZE=32768\nexport HISTFILESIZE=$HISTSIZE\nexport HISTC...
shell
chosen
[ { "from": "system", "value": "fix(docs): Use doc root and set custom favicon\n" }, { "from": "human", "value": "#!/bin/bash\n\nset -xe\n\ncd website\nmake clean && make\necho \"lettre.at\" > _book/CNAME\nsudo pip install ghp-import\nghp-import -n _book\ngit push -f https://${GH_TOKEN}@github.com...
shell
chosen
[ { "from": "system", "value": "Make sure the sample database gets created with UTF-8 encoding\n" }, { "from": "human", "value": "#!/bin/bash\n\nif [ ! -z $(pg_lsclusters | grep -c ' main ') ]; \n then\n echo \"rebuilding PostgreSQL database cluster\"\n # stop and drop the cluster\n pg...
shell
chosen
[ { "from": "system", "value": "Upgrade the tool dependencies as well\n" }, { "from": "human", "value": "export NVM_VERSION=0.35.3\nexport NODE_VERSION=13.12.0\nexport NPM_VERSION=6.14.4\nexport RUBY_VERSION=2.6.0\nexport COCOAPODS_VERSION=1.9.1\nexport GRADLE_VERSION=4.10.3\n\nexport NVM_DIR=\"$H...
shell
chosen
[ { "from": "system", "value": "Remove use of \"TRAVIS_COMMIT_RANGE\" variable\n" }, { "from": "human", "value": "#!/usr/bin/env bash\nset -Eeuo pipefail\n\ncd \"$(dirname \"$(readlink -f \"$BASH_SOURCE\")\")/..\"\n\nif [ \"$TRAVIS_PULL_REQUEST\" != 'false' ]; then\n\tif [ \"$(git diff --numstat \...
shell
chosen
[ { "from": "system", "value": "Clean up after smacking Mr Travis round the head.\n" }, { "from": "human", "value": "#!/bin/bash -x\n# Make sure we exit if there is a failure\nset -e\n\n#comment this when we can do an 'apt-get install llvm-5.0'\n#exit 0\n\nmkdir -p travis_build/occam\nmkdir -p tra...
shell
chosen
[ { "from": "system", "value": "Update parameters for strip method\n" }, { "from": "human", "value": "include base.comparator.BaseComparator\ninclude string.validator.StringValidator\n\nStringUtil(){\n\tappend(){\n\t\techo ${1}${2}\n\t}\n\n\tcapitalize(){\n\t\tlocal str=${@}\n\n\t\techo ${str^}\n\...
shell
chosen
[ { "from": "system", "value": "Set default value for project dir.\n" }, { "from": "human", "value": "#!/bin/bash\n\n# build.sh\n# Modify the package info and build new packages for SDL_ttf.\n# Copyright (C) 2013 Michael Imamura.\n#\n# Licensed under the terms of the MIT License. See LICENSE....
shell
chosen
[ { "from": "system", "value": "Chore: Check if .ssh and file exists before chmod\n" }, { "from": "human", "value": "#!/usr/bin/env bash\nset -euo pipefail\n\necho \"SSH file chmod...\"\nchmod 600 $HOME/.ssh/id_rsa\nchmod 600 $HOME/.ssh/id_rsa.pub \nchmod 755 $HOME/.ssh\n" }, { "from": "gp...
shell
chosen
[ { "from": "system", "value": "Address review comment: Explain why we need newer pip.\n" }, { "from": "human", "value": "#!/bin/sh\n\n# Install required system packages:\nsudo apt-get install python2.7 python-virtualenv python2.7-dev\n\n# Create a virtualenv, an isolated Python environment, in a ...
shell
chosen
[ { "from": "system", "value": "Add more bindings for home/end/ctrl-left/right\n" }, { "from": "human", "value": "\n# Keybindings for Gnome-Terminal\n\n\n# Up/Down Search\nbindkey '\\e[A' up-line-or-search\nbindkey '\\e[B' down-line-or-search\n\n# Delete\nbindkey '\u001b[3~' delete-char\n\n# Home/...
shell
chosen
[ { "from": "system", "value": "Make android scripts not warn about ADB in newer SDKs\n\nThe older SDK says:\n$ adb version\nAndroid Debug Bridge version 1.0.32\n\nThe newer SDK says:\n$ adb version\nAndroid Debug Bridge version 1.0.32\nRevision eac51f2bb6a8-android\n\nRemoves the shebang as the file is not i...
shell
chosen
[ { "from": "system", "value": "Set Reports To Group \"casio\" When Publishing\n" }, { "from": "human", "value": "#!/usr/bin/env bash\nset -e -x\n\nRHOST=\"totalcrazyhack.net\"\nRHOSTDIR=\"/var/www/casio\"\nTOPDIR=$(pwd)\n\nT=$(date +\"%y%m%d%H%M%S\")\nB=$(git rev-parse --abbrev-ref HEAD)\nC=$(git...
shell
chosen
[ { "from": "system", "value": "Revert changes that shouldn't be pushed\n" }, { "from": "human", "value": "#!/bin/bash\n\nset -e\nset -x\n\nmkdir -p /root/.ssh\n\nprintf \"Host github.com\\n\\tStrictHostKeyChecking no\\n\" >> ~/.ssh/config\n\ncp /ssh/id_rsa /root/.ssh/id_rsa\nchmod 600 /root/.ssh/...
shell
chosen
[ { "from": "system", "value": "Add support for sublime 3\n\nSigned-off-by: Gaetan Semet <8ccd13098305f7fadd4fdccc2da60bfdfa8d8d20@xeberon.net>\n" }, { "from": "human", "value": "# Sublime Text 2 Aliases\n\nlocal _sublime_darwin_paths > /dev/null 2>&1\n_sublime_darwin_paths=(\n\t\"/usr/local/bin/s...
shell
chosen
[ { "from": "system", "value": "Add a test for zero search results\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\n# Fetch a single business's records\nif [ \"$(curl -s http://localhost/business/F000032 |grep -c 'AMERICAN BRANDS')\" -lt 1 ]; then\n echo \"ERROR: Front-end is not retur...
shell
chosen
[ { "from": "system", "value": "Replace vim with nvim on home laptop\n" }, { "from": "human", "value": "# pro is my 2013 rMBP\n\nif [ \"$HOST\" = \"pro.local\" ]; then\n alias vm=\"tab-color 0 200 0; cd; cd vagrant; vagrant up && vagrant ssh\"\n alias htop=\"sudo htop\"\nfi\n" }, { "...
shell
chosen
[ { "from": "system", "value": "Remove -d from the command line, add -p to suppress the pid file.\n" }, { "from": "human", "value": "#!/bin/bash\n\nROOT_TRUST_DIR=/var/lib/unbound\nROOT_TRUST_ANCHOR_FILE=${ROOT_TRUST_DIR}/root.key\nUNBOUND_IP=127.0.0.1\n\nmkdir -p ${ROOT_TRUST_DIR}\nchown unbound:...
shell
chosen
[ { "from": "system", "value": "Enable the test suite when installing deps\n" }, { "from": "human", "value": "#!/bin/sh\n\nset -e\n\ncabal-dev install-deps\ncabal-dev configure --enable-tests\ncabal-dev build\ncabal-dev test --test-option='--jxml=results.xml'\n" }, { "from": "gpt", "va...
shell
chosen
[ { "from": "system", "value": "Install vagrant-serverspec only if it is not already present\n" }, { "from": "human", "value": "#!/bin/bash -eux\n\ncreate_vagrantfile_linux() {\nvagrant plugin install vagrant-serverspec\ncat << EOF > $tmp_path/Vagrantfile\nVagrant.configure('2') do |config|\nconfi...
shell
chosen
[ { "from": "system", "value": "xz: Enable BCJ filters on SPARC and 32-bit x86\n\nThe BCJ filters were meant to be enabled already on these\narchs, but the xz_wrap.sh script was buggy. Enabling the\nfilters should give smaller kernel images.\n\nxz_wrap.sh will now use $SRCARCH instead of $ARCH to detect\nthe ...
shell
chosen